//Цветной графический дисплей 1,8 TFT 128x160     http://iarduino.ru/shop/Displei/cvetnoy-graficheskiy-tft-ekran-128-10---1-8-rdquo.html

#include <tinyFAT.h>                           // подключаем библиотеку tinyFAT
#include <UTFT.h>                              // подключаем библиотеку UTFT
#include <UTFT_tinyFAT.h>                      // подключаем библиотеку UTFT_tinyFAT

UTFT myGLCD(TFT18SHLD,A2,A1,A5,A4,A3);         // объявляем объект myGLCD указывая тип дисплея и номера выводов Arduino к которым подключён дисплей: TFT18SHLD, SDA, SCK, CS, RESET, A0
UTFT_tinyFAT myFiles(&myGLCD);                 // объявляем объект myFiles​ класса библиотеки UTFT_tinyFAT​ с передачей ссылки на объект myGLCD​ класса библиотеки UTFT

void setup(){
   myGLCD.InitLCD();                           // инициируем дисплей
   myGLCD.clrScr();                            // стираем всю информацию с дисплея
// file.setSSpin(SS);                          // если вывод SD_CS SD-карты дисплея подключён не к аппаратному выводу CS(SS) шины SPI платы Arduino, то разкомментируйте эту строку и вместо атрибута SS укажите действительный номер вывода Arduino
   file.initFAT();                             // инициируем работу с SD картой
}

void loop(){
   myFiles.loadBitmap(0,0,160,128,"ia_5.raw"); // выводим на дисплей картинку из файла ia_5.raw
   delay(2000);                                // ждём 2 секунды
   myFiles.loadBitmap(0,0,160,128,"ia_6.raw"); // выводим на дисплей картинку из файла ia_6.raw
   delay(2000);                                // ждём 2 секунды
}

/* ВНИМАНИЕ!!!
   Библиотека tinyFAT поддерживает SD-карты до 2 ГГб отформатированные под файловую систему FAT16 и не поддерживает длинные имена файлов.
   Файлы картинок ia_5.raw и ia_6.raw, лежат в папке image библиотеки UTFT, их необходимо записать в корень SD-карты и установить её в слот на плате дисплея
*/
